Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2909 closed defect (fixed)

xz: Support for 64-bit CRC is build although XZ_USE_CRC64 is not defined

Reported by: Sebastian Huber Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This leads to:

../../../../../../rtems/c/src/../../cpukit/libmisc/xz/xz_crc64.c:21:16: warning: no previous prototype for 'xz_crc64_init' [-Wmissing-prototypes]
../../../../../../rtems/c/src/../../cpukit/libmisc/xz/xz_crc64.c:40:20: warning: no previous prototype for 'xz_crc64' [-Wmissing-prototypes]

We should enable the 64-bit CRC or remove this file from the build.

Change History (5)

comment:1 Changed on 04/07/17 at 20:24:01 by Joel Sherrill <joel@…>

Resolution: fixed
Status: newclosed

In [changeset:"c475924d6d2ea7d5cba160a8a28e88642d6b46d8/rtems" c475924d/rtems]:

xz_config.h: Define XZ_USE_CRC64

close #2909.

comment:2 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on 06/13/17 at 09:45:57 by Sebastian Huber <sebastian.huber@…>

In [changeset:"c7377381f4b3d02f88a4b2bd568d24a3d4a7d399/rtems" c7377381/rtems]:

xz: Use CRC32

This reverts c475924d6d2ea7d5cba160a8a28e88642d6b46d8.

Update #2909.
Close #2994.

comment:4 Changed on 07/06/17 at 13:12:06 by Sebastian Huber <sebastian.huber@…>

In [changeset:"71943dd4d2abcecbd3404f87cf9a12df46ed7bcc/rtems" 71943dd/rtems]:

xz: Suppress attribute warnings

Update #2909.

comment:5 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.